<template>
	<div
		class="status-img flex-center"
		:style="{ width: `${wrapperSize}px`, height: `${wrapperSize}px`, backgroundImage: `url(${iconBg2})` }"
	>
	<img
			class="status-img__inner"
			:class="{ 'status-img__inner_work': showAnimation }"
			:src="runIcon"
			:width="size"
			:height="size"
		/>	</div>
</template>

<script setup lang="ts">
import { computed, toRefs } from 'vue';
import iconBg2 from '/@/assets/images/szjt/icon_bg2.png';
import iconUnWork from '/@/assets/images/szjt/icon_unwork.png';
import iconWork from '/@/assets/images/szjt/icon_work.png';
const props = defineProps({
	isWork: {
		type: Boolean,
		required: true,
	},
	wrapperSize: {
		type: Number,
		default: 40,
	},
	size: {
		type: Number,
		default: 20,
	},

	/**
	 * 是否需要加上动画
	 */
	animation: {
		type: Boolean,
		default: true,
	},
});

const { isWork, size } = toRefs(props);

const runIcon = computed(() => (isWork.value ? iconWork : iconUnWork));

const showAnimation = computed(() => (isWork.value && props.animation));
</script>
<style scoped lang="scss">
.status-img {
	background-size: cover;
	background-repeat: no-repeat;
	&__inner {
		&_work {
			animation: rotate0_360 2s linear infinite normal;
			-webkit-animation: rotate0_360 2s linear infinite normal;
		}
	}
}
</style>
